al_create_builtin_font(3)

NAME

al_create_builtin_font - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_font.h>
    ALLEGRO_FONT *al_create_builtin_font(void)

DESCRIPTION

Creates a monochrome bitmap font (8x8 pixels per character).

This font is primarily intended to be used for displaying information in environments or during early runtime states where no external font data is available or loaded (e.g. for debugging).

The builtin font contains the following unicode character ranges:

    0x0020 to 0x007F (ASCII)
    0x00A1 to 0x00FF (Latin 1)
    0x0100 to 0x017F (Extended A)
    0x20AC to 0x20AC (euro currency symbol)

Returns NULL on an error.

The font memory must be freed the same way as for any other font, using al_destroy_font(3).

SINCE

5.0.8, 5.1.3

SEE ALSO

al_load_bitmap_font(3), al_destroy_font(3)